This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 411101 - Building x86_64 packages with 'BuildRequires: glew-devel' fails
Building x86_64 packages with 'BuildRequires: glew-devel' fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 16:33 EST by Bruno Postle
Modified: 2013-01-09 20:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 23:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Postle 2007-12-04 16:33:34 EST
Description of problem:

fedora-8-x86_64.cfg contains a pattern glob to exclude i386 packages except
those beginning in 'gl', so any package that has 'BuildRequires: glew-devel'
pulls in glew.i386 which then fails to pull in mesa-libGL.

Version-Release number of selected component (if applicable):

mock-0.8.9-1.fc8

How reproducible:

Always

Steps to Reproduce:
1. wget
http://download.fedora.redhat.com/pub/fedora/linux/releases/8/Everything/source/SRPMS/enblend-3.0-6.fc8.src.rpm
2. mock --arch=x86_64 -rfedora-8-x86_64 --rebuild enblend-3.0-6.fc8.src.rpm
  
Actual results:

Error: Missing Dependency: libGLU.so.1 is needed by package glew
Error: Missing Dependency: libGL.so.1 is needed by package glew
Error: Missing Dependency: libX11.so.6 is needed by package glew

Expected results:

Nice shiny x86_64 rpm

Additional info:

This can be fixed by changing the 'exclude' line in the config to this:

exclude=[A-Za-fh-z]*.i*86 g[a-km-z]*.i?86 glib2.i?86 glib.i?86 glib-devel.i?86
glib2-devel.i?86 glew.i?86 glew-devel.i?86

Though looking around there are some other packages on my system that begin with
'gl', so maybe some other solution is optimal.
Comment 1 Michael E Brown 2007-12-04 23:15:53 EST
awesome. 

thanks for the report. Will test and get a fix for this in.
Comment 2 Michael E Brown 2007-12-04 23:51:26 EST
Fixed in upstream git. (will be released as 0.8.15 or higher.)

Changed exclude= to:

exclude=[!g]*.i*86 g[!l]*.i?86  gl[!i]*.i?86 gli[!b]*.i?86 glib[!c]*.i?86

which should be bulletproof.

Note You need to log in before you can comment on or make changes to this bug.